import { defineConfig, loadEnv } from 'vite'
import vue from '@vitejs/plugin-vue'
import path from "path" // 需安装此模块
// https://vite.dev/config/
export default defineConfig(({mode}) => {
  const ENV = loadEnv(mode, process.cwd())
  return {
    plugins: [vue()],
    resolve: {
      alias: {
        // 这里就是需要配置resolve里的别名
        "@": path.resolve(__dirname, "./src") // path记得引入
      }
    },
    server: {
      host: '0.0.0.0', // 指定服务器主机名
      port: 3000, // 指定服务器端口
      proxy: {
        [ENV.VITE_APP_BASE_API5]: {
          target: 'https://screen.bmetech.com',
          // target: 'https://vis.bmetech.com',
          changeOrigin: true,
        },
        
      }
    }
  }
})
